/***************************************************************************
 $RCSfile: selectfromlist.h,v $
                             -------------------
    cvs         : $Id: selectfromlist.h,v 1.1 2005/04/05 15:30:27 aquamaniac Exp $
    begin       : Mon Mar 01 2004
    copyright   : (C) 2004 by Martin Preuss
    email       : martin@libchipcard.de

 ***************************************************************************
 *          Please see toplevel file COPYING for license details           *
 ***************************************************************************/

#ifndef AQBANKING_KDE_SELECTFROMLIST_H
#define AQBANKING_KDE_SELECTFROMLIST_H

class KBanking;


#include <qstringlist.h>

#include "selectfromlist.ui.h"




class SelectFromList : public SelectFromListUi {
  Q_OBJECT
public:
  SelectFromList(KBanking *kb,
                 const QString &title,
                 const QString &message,
                 const QString &listTypeName,
                 int minSelection,
                 int maxSelection,
                 QWidget* parent=0,
                 const char* name=0,
                 bool modal=FALSE,
                 WFlags fl=0);
  ~SelectFromList();

  void init();
  void fini();

  void addEntry(const QString &name, const QString &descr);

  void selectEntry(const QString &s);
  QStringList selectedEntries();

public slots:
  void slotSelectionChanged();

private:
  KBanking *_app;
  int _minSelection;
  int _maxSelection;
};





#endif
